export interface MainEntity {
    _id?: string;
    tags?: Tags;
}
export interface Tags {
    privateTags?: TagList;
    tags?: TagList;
}
export interface TagList {
    tagIds?: string[];
}
export interface RunTriggerRequest {
    triggerId?: string;
    payload?: Record<string, any> | null;
}
export interface RunTriggerResponse {
}
export interface BulkUpdateMainEntityTagsRequest {
    entityIds?: string[];
    assignTags?: Tags;
    unassignTags?: Tags;
}
export interface BulkUpdateMainEntityTagsResponse {
}
export interface BulkUpdateMainEntityTagsByFilterRequest {
    filter?: Record<string, any> | null;
    assignTags?: Tags;
    unassignTags?: Tags;
}
export interface BulkUpdateMainEntityTagsByFilterResponse {
}
/** @public
 * @documentationMaturity preview
 * @permissionId AUTOMATIONS.TRIGGER_WEBHOOK
 * @fqn com.wixpress.crm.automations.automations_custom_trigger.AutomationsCustomTriggerService.RunTrigger
 */
export declare function runTrigger(options?: RunTriggerOptions): Promise<void>;
export interface RunTriggerOptions {
    triggerId?: string;
    payload?: Record<string, any> | null;
}
