"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runTrigger = void 0;
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressCrmAutomationsAutomationsCustomTriggerAutomationsCustomTriggerServiceUrl(opts) {
    const domainToMappings = {
        'bo._base_domain_': [
            {
                srcPath: '/_serverless/crm-automations-utils',
                destPath: '',
            },
        ],
        'wixbo.ai': [
            {
                srcPath: '/_serverless/crm-automations-utils',
                destPath: '',
            },
        ],
        'wix-bo.com': [
            {
                srcPath: '/_serverless/crm-automations-utils',
                destPath: '',
            },
        ],
        'manage._base_domain_': [
            {
                srcPath: '/_serverless/crm-automations-utils',
                destPath: '',
            },
        ],
        'dev._base_domain_': [
            {
                srcPath: '/_serverless/crm-automations-utils',
                destPath: '',
            },
        ],
        'platform.rise.ai': [
            {
                srcPath: '/_serverless/crm-automations-utils',
                destPath: '',
            },
        ],
        'editor._base_domain_': [
            {
                srcPath: '/_serverless/crm-automations-utils',
                destPath: '',
            },
        ],
        'blocks._base_domain_': [
            {
                srcPath: '/_serverless/crm-automations-utils',
                destPath: '',
            },
        ],
        'create.editorx': [
            {
                srcPath: '/_serverless/crm-automations-utils',
                destPath: '',
            },
        ],
        'www.wixapis.com': [
            {
                srcPath: '/_serverless/crm-automations-utils',
                destPath: '',
            },
        ],
        'editor.wixapps.net': [
            {
                srcPath: '/_serverless/crm-automations-utils',
                destPath: '',
            },
        ],
        'apps._base_domain_': [
            {
                srcPath: '/_serverless/crm-automations-utils',
                destPath: '',
            },
        ],
        _: [
            {
                srcPath: '/_serverless/crm-automations-utils',
                destPath: '',
            },
        ],
        '*.dev.wix-code.com': [
            {
                srcPath: '/_serverless/crm-automations-utils',
                destPath: '',
            },
            {
                srcPath: '/_api/_serverless/crm-automations-utils',
                destPath: '',
            },
        ],
        'api._api_base_domain_': [
            {
                srcPath: '/crm-automations-utils',
                destPath: '',
            },
        ],
    };
    return (0, rest_modules_1.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
const PACKAGE_NAME = '@wix/auto_sdk_automations_automations';
function runTrigger(payload) {
    function __runTrigger({ host }) {
        const metadata = {
            entityFqdn: 'wix.automations.v1.automations_custom_trigger',
            method: 'POST',
            methodFqn: 'com.wixpress.crm.automations.automations_custom_trigger.AutomationsCustomTriggerService.RunTrigger',
            packageName: PACKAGE_NAME,
            url: resolveComWixpressCrmAutomationsAutomationsCustomTriggerAutomationsCustomTriggerServiceUrl({ protoPath: '/v1/trigger-custom', data: payload, host }),
            data: payload,
        };
        return metadata;
    }
    return __runTrigger;
}
exports.runTrigger = runTrigger;
//# sourceMappingURL=automations-v1-automations-custom-trigger-automations.http.js.map